Although we disabled it by default, rsb is currently still linked against Spread. So why was the spread dependency removed?

History
#1 - 11/24/2011 12:36 PM - J. Moringen
Ubuntu does not have the correct Spread version. Basically, there are three scenarios
    -  If we depend on spread (>= 4.0), the RSB package is not installable due to the unavailable dependency
    -  If we do not depend on spread at all, the dependency information is lost. For C++, this also produces linker errors at runtime.
    -  If we recommend, but do not depend on spread (>= 4.0), the dependency information is conveyed without impeding the ability to install the
package. This is still problematic for C++, where Spread is mandatory at runtime, but works fine for Python and Common Lisp.

Furthermore, it is questionable whether Spread conceptually is a hard dependency since, for example the in-process use case, works fine without
Spread.

Regardless of the above, if we offered source packages, Spread currently would be a hard dependency since it is required for compilation.

#2 - 11/24/2011 09:57 PM - S. Wrede
- Status changed from New to Feedback

Actually, I built Spread-4 debian packages which could be used as dependency. However, the problem is that very likely we are not allowed to
distribute them via our package server, right?

In the current situation, I would propose to recommend spread and update the binary installation documentation with that additional dependency and
information on how to obtain and install from source if needed.

To allow initial testing without Spread, we should provide an example on how to configure the examples to use the socket transport.

#3 - 01/18/2012 09:11 AM - J. Wienke

Btw. since a few days spread is completely optional to rsb. So we maybe could provide one package with a spread dependency on a package only
reachable for us and another one without spread at all.

#4 - 01/18/2012 01:46 PM - J. Moringen

The package currently suggest s spread (>= 4.0) which is the weakest form (I think) of package relation in Debian. Isn't this already appropriate?

#5 - 02/27/2012 03:31 PM - J. Wienke
- Target version deleted (0.6)

#6 - 06/23/2012 03:52 AM - J. Moringen
- Target version set to rsb-0.9

#7 - 06/23/2012 03:52 AM - J. Moringen
- Project changed from Robotics Service Bus to Packaging
- Category deleted (Installation)

#8 - 02/20/2013 02:41 AM - J. Moringen

This is no longer relevant, right?

#9 - 06/05/2013 08:36 PM - J. Moringen
- Status changed from Feedback to Rejected
